package com.ruoyi.system.mapper;

import java.util.List;

import com.ruoyi.system.domain.DroneMissions;
import com.ruoyi.system.dto.DroneMissionsVo;

/**
 * 无人机任务Mapper接口
 *
 * @author ruoyi
 * @date 2024-07-24
 */
public interface DroneMissionsMapper {
    /**
     * 查询无人机任务
     *
     * @param id 无人机任务主键
     * @return 无人机任务
     */
    public DroneMissions selectDroneMissionsById(Long id);

    /**
     * 查询无人机任务列表
     *
     * @param droneMissions 无人机任务
     * @return 无人机任务集合
     */
    public List<DroneMissions> selectDroneMissionsList(DroneMissions droneMissions);

    /**
     * 新增无人机任务
     *
     * @param droneMissions 无人机任务
     * @return 结果
     */
    public int insertDroneMissions(DroneMissions droneMissions);

    /**
     * 修改无人机任务
     *
     * @param droneMissions 无人机任务
     * @return 结果
     */
    public int updateDroneMissions(DroneMissions droneMissions);

    /**
     * 删除无人机任务
     *
     * @param id 无人机任务主键
     * @return 结果
     */
    public int deleteDroneMissionsById(Long id);

    /**
     * 批量删除无人机任务
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteDroneMissionsByIds(Long[] ids);

    /**
     * 根据条件查询无人机任务
     *
     * @param flightId
     * @return
     */
    DroneMissions selectDroneMissionsByCondition(String flightId);

    /**
     * 查询无人机任务列表
     *
     * @param droneMissions
     * @return
     */
    List<DroneMissionsVo> selectDroneMissionsVoList(DroneMissions droneMissions);
}
